GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_connectivity_state_tracker Struct Reference

`#include <connectivity_state.h>`

## Data Fields
grpc_connectivity_state | current_state
| current connectivity state More...
grpc_connectivity_state_watcher * | watchers
| all our watchers More...
char * | name
| a name to help debugging More...

## Field Documentation

grpc_connectivity_state grpc_connectivity_state_tracker::current_state

current connectivity state

char* grpc_connectivity_state_tracker::name

a name to help debugging

grpc_connectivity_state_watcher* grpc_connectivity_state_tracker::watchers

all our watchers

The documentation for this struct was generated from the following file:

- src/core/transport/connectivity_state.h